package net.sourceforge.squirrel_sql.plugins.laf;
/*
 * Copyright (C) 2002-2006 Colin Bell
 * colbell@users.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
import javax.swing.LookAndFeel;
/**
 * Behaviour of a look and feel that has no special behaviour.
 *
 * @author  <A HREF="mailto:colbell@users.sourceforge.net">Colin Bell</A>
 */
public class DefaultLookAndFeelController implements ILookAndFeelController
{
	/**
	 * Initialization.
	 */
	public void initialize()
	{
	}
	/**
	 * This Look and Feel is about to be installed.
	 */
	public void aboutToBeInstalled(LAFRegister lafRegister, LookAndFeel laf)
	{
	}
	/**
	 * This Look and Feel has just been installed.
	 */
	public void hasBeenInstalled(LAFRegister lafRegister, LookAndFeel laf)
	{
	}
	/**
	 * Assume that Look and Feel implementations don't require extra
	 * configuration so return <TT>null</TT>.
	 * 
	 * @return		<TT>null</TT>
	 */
	public BaseLAFPreferencesPanelComponent getPreferencesComponent()
	{
		return null;
	}
}

